Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.singularsys.jep.configurableparser.tokens
Class MultiLineToken

    java.lang.Object
      com.singularsys.jep.configurableparser.tokens.Token
          com.singularsys.jep.configurableparser.tokens.MultiLineToken

All Implemented Interfaces:
  TokenMatcher, java.io.Serializable

    public class MultiLineToken

extends Token
implements TokenMatcher

A token representing a token which spans multiple lines.

See Also:
  `MultiLineMatcher`, Serialized Form

Constructor Summary
`MultiLineToken(java.lang.String source, TokenMatcher em, TokenBuilder builder)`

Method Summary
`void` | `append(java.lang.String line)`
`Token` | `getCompleteToken()` A token representing the complete matched input.
`void` | `init(Jep j)` Initialize the matcher when the Jep instance is known.
`Token` | `match(java.lang.String line)` Matches the end of the token.

Methods inherited from class com.singularsys.jep.configurableparser.tokens.Token
`equals, getColumnNumber, getLength, getLineNumber, getSource, hashCode, isBinary, isComment, isFunction, isIdentifier, isImplicitMulRhs, isNumber, isOperator, isPrefix, isString, isSuffix, isSymbol, isTerminal, isTernary, isWhiteSpace, setPosition, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MultiLineToken

    public MultiLineToken(java.lang.String source,
                          TokenMatcher em,
                          TokenBuilder builder)

Method Detail

### match

    public Token match(java.lang.String line)
                throws ParseException

  Matches the end of the token.

  Specified by:
    `match` in interface `TokenMatcher`
  Parameters:
    `line` - the next line of input
  Returns:
    token representing part of the current line matched, or null if the end of the token is not found.
  Throws:
    `ParseException`

### append

    public void append(java.lang.String line)

### getCompleteToken

    public Token getCompleteToken()

  A token representing the complete matched input.

  Returns:
    the complete token

### init

    public void init(Jep j)

  Description copied from interface: `TokenMatcher`
  Initialize the matcher when the Jep instance is known.

  Specified by:
    `init` in interface `TokenMatcher`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Singular Systems http://www.singularsys.com/jep